Get Aggregator Usage
This API can be used to obtain usage data for the Aggregator for the given usage month. All dates in usage API refer to UTC time zone. Usage shown is the peak usage in the given usage month.
Get usage and cost data for all accounts under the Aggregator. Account can either be direct account under the Aggregator, or Sub MSP account associated with a Sub MSP under the Aggregator.
Query Parameters
- usageMonth date
The month for which usage is returned. Time zone is UTC. Format is "YYYY-MM-DD".
- subMspId string
Sub MSP ID. Supply this parameter to retrieve usage for accounts under certain Sub MSP or direct accounts under Aggregator.
- sort string
Sort parameter. Schema is order:fieldName. If not provided, default asc:subMspName,asc:accountName,asc:skuId.
- pageNumber integer
Pagination parameter. If not provided, default 0.
- pageSize integer
Possible values:
>= 1and<= 1000Pagination parameter. If not provided, default 100.
- 200
- 401
- 403
- 500
Success
- application/json
- Schema
- Example (from schema)
- Get usage for all accounts
- Get usage for Sub M S P accounts
- Get usage for direct accounts
- Get usage for single Sub M S P
Schema
data object[]
usageMonth stringCalendar month for which usage is returned
subMspId uuidSub MSP ID in Commvault
subMspName stringSub MSP name in Commvault
externalSubMspId stringSub MSP ID in Partner System
accountId uuidAccount ID in Commvault
accountName stringAccount Name in Commvault
externalAccountId stringAccount ID in Partner System
skuId stringService sku ID
consumedQuantity numberPeak usage quantity in usage month. This quantity is using measurement of service unit quantity
entitledQuantity numberPre-commited quantity in usage month. For commit skus, it's purchased quantity sent in fulfillment
overageQuantity numberQuantity used more than entitled quantity in usage month
billableQuantity numberQuantity that will be charged in usage month
unitPrice numberPrice for a single unit
unitQuantity numberService unit quantity
unit stringService unit
cost numberCost for account in the usage month
currency stringBilling currency
metadata object
filter stringFilter string that contains search parameters
sort stringSort string that contains sorting criteria
pagination object
pageNumber integerpageSize integertotalRecords integer
{
"data": [
{
"usageMonth": "string",
"subMspId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"subMspName": "string",
"externalSubMspId": "string",
"accountId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"accountName": "string",
"externalAccountId": "string",
"skuId": "string",
"consumedQuantity": 0,
"entitledQuantity": 0,
"overageQuantity": 0,
"billableQuantity": 0,
"unitPrice": 0,
"unitQuantity": 0,
"unit": "string",
"cost": 0,
"currency": "string"
}
],
"metadata": {
"filter": "string",
"sort": "string",
"pagination": {
"pageNumber": 0,
"pageSize": 0,
"totalRecords": 0
}
}
}
Get usage for all accounts, including all Sub MSP accounts and direct accounts in current month
{
"data": [
{
"usageMonth": "2024-12-01",
"accountId": "219BC19D-58AD-4662-B00B-B8FA4C22F718",
"accountName": "Direct Acc 1",
"externalAccountId": "123456",
"skuId": "MTSP-EP-USR-UP",
"consumedQuantity": 100,
"entitledQuantity": 50,
"overageQuantity": 50,
"billableQuantity": 50,
"unitPrice": 5,
"cost": 250,
"unit": "user",
"unitQuantity": 1,
"currency": "AUD"
},
{
"usageMonth": "2024-12-01",
"accountId": "649E37A2-746E-4FD1-9682-381B17C304A4",
"accountName": "Direct Acc 2",
"externalAccountId": "789012",
"skuId": "MTSP-M365E-USR",
"consumedQuantity": 100,
"entitledQuantity": 0,
"overageQuantity": 0,
"billableQuantity": 100,
"unitPrice": 2,
"cost": 200,
"unit": "user",
"unitQuantity": 1,
"currency": "AUD"
},
{
"usageMonth": "2024-12-01",
"accountId": "649E37A2-746E-4FD1-9682-381B17C304A4",
"accountName": "Dreict Acc 2",
"externalAccountId": "789012",
"skuId": "MTSP-STREXP-TB",
"consumedQuantity": 0.54912,
"entitledQuantity": 0.1,
"overageQuantity": 0.44912,
"billableQuantity": 0,
"unitPrice": 35.874,
"cost": 0,
"unit": "TB",
"currency": "AUD"
},
{
"usageMonth": "2024-12-01",
"subMspId": "BFC6E6E6-D59B-44D4-BA3E-FC5D6CA1D681",
"subMspName": "Sub MSP 1",
"accountId": "8B4696DA-B8B8-47E4-9BF7-A987A78AA1BC",
"accountName": "Sub MSP 1 Acc 1",
"externalAccountId": "654321",
"skuId": "MTSP-EP-USR",
"consumedQuantity": 150,
"entitledQuantity": 0,
"overageQuantity": 0,
"billableQuantity": 150,
"unitPrice": 4,
"cost": 600,
"unit": "user",
"unitQuantity": 1,
"currency": "AUD"
},
{
"usageMonth": "2024-12-01",
"subMspId": "BFC6E6E6-D59B-44D4-BA3E-FC5D6CA1D681",
"subMspName": "Sub MSP 1",
"accountId": "8B4696DA-B8B8-47E4-9BF7-A987A78AA1BC",
"accountName": "Sub MSP 1 Acc 1",
"externalAccountId": "654321",
"skuId": "MTSP-STREXP-TB",
"consumedQuantity": 150,
"entitledQuantity": 0,
"overageQuantity": 0,
"billableQuantity": 0,
"unitPrice": 35.874,
"cost": 0,
"unit": "TB",
"currency": "AUD"
},
{
"usageMonth": "2024-12-01",
"subMspId": "8E931553-307E-45C4-98C1-BAC34ED5A357",
"subMspName": "Sub MSP 2",
"accountId": "A72353B5-B17F-46D5-9A37-82F4EF8EF140",
"accountName": "Sub MSP 2 Acc 1",
"externalAccountId": "210987",
"skuId": "MTSP-EP-USR",
"consumedQuantity": 150,
"entitledQuantity": 0,
"overageQuantity": 0,
"billableQuantity": 150,
"unitPrice": 5,
"cost": 750,
"unit": "user",
"unitQuantity": 1,
"currency": "AUD"
}
],
"metadata": {
"filter": "usageMonth=2024-12-01",
"sort": "asc:subMspName,asc:accountName,asc:skuId",
"pagination": {
"pageNumber": 0,
"pageSize": 100,
"totalRecords": 6
}
}
}
Get usage for all Sub MSP accounts in current month
{
"data": [
{
"usageMonth": "2024-12-01",
"subMspId": "BFC6E6E6-D59B-44D4-BA3E-FC5D6CA1D681",
"subMspName": "Sub MSP 1",
"accountId": "8B4696DA-B8B8-47E4-9BF7-A987A78AA1BC",
"accountName": "Sub MSP 1 Acc 1",
"externalAccountId": "654321",
"skuId": "MTSP-EP-USR",
"consumedQuantity": 150,
"entitledQuantity": 0,
"overageQuantity": 0,
"billableQuantity": 150,
"unitPrice": 4,
"cost": 600,
"unit": "user",
"unitQuantity": 1,
"currency": "AUD"
},
{
"usageMonth": "2024-12-01",
"subMspId": "BFC6E6E6-D59B-44D4-BA3E-FC5D6CA1D681",
"subMspName": "Sub MSP 1",
"accountId": "8B4696DA-B8B8-47E4-9BF7-A987A78AA1BC",
"accountName": "Sub MSP 1 Acc 1",
"externalAccountId": "654321",
"skuId": "MTSP-STREXP-TB",
"consumedQuantity": 150,
"entitledQuantity": 0,
"overageQuantity": 0,
"billableQuantity": 0,
"unitPrice": 35.874,
"cost": 0,
"unit": "TB",
"currency": "AUD"
},
{
"usageMonth": "2024-12-01",
"subMspId": "8E931553-307E-45C4-98C1-BAC34ED5A357",
"subMspName": "Sub MSP 2",
"accountId": "A72353B5-B17F-46D5-9A37-82F4EF8EF140",
"accountName": "Sub MSP 2 Acc 1",
"externalAccountId": "210987",
"skuId": "MTSP-EP-USR",
"consumedQuantity": 150,
"entitledQuantity": 0,
"overageQuantity": 0,
"billableQuantity": 150,
"unitPrice": 5,
"cost": 750,
"unit": "user",
"unitQuantity": 1,
"currency": "AUD"
}
],
"metadata": {
"filter": "usageMonth=2024-12-01&subMspId=*",
"sort": "asc:subMspName,asc:accountName,asc:skuId",
"pagination": {
"pageNumber": 0,
"pageSize": 100,
"totalRecords": 3
}
}
}
Get usage for all direct accounts in current month
{
"data": [
{
"usageMonth": "2024-12-01",
"accountId": "219BC19D-58AD-4662-B00B-B8FA4C22F718",
"accountName": "Direct Acc 1",
"externalAccountId": "123456",
"skuId": "MTSP-EP-USR-UP",
"consumedQuantity": 100,
"entitledQuantity": 50,
"overageQuantity": 50,
"billableQuantity": 50,
"unitPrice": 5,
"cost": 250,
"unit": "user",
"unitQuantity": 1,
"currency": "AUD"
},
{
"usageMonth": "2024-12-01",
"accountId": "649E37A2-746E-4FD1-9682-381B17C304A4",
"accountName": "Direct Acc 2",
"externalAccountId": "789012",
"skuId": "MTSP-M365E-USR",
"consumedQuantity": 100,
"entitledQuantity": 0,
"overageQuantity": 0,
"billableQuantity": 100,
"unitPrice": 2,
"cost": 200,
"unit": "user",
"unitQuantity": 1,
"currency": "AUD"
},
{
"usageMonth": "2024-12-01",
"accountId": "649E37A2-746E-4FD1-9682-381B17C304A4",
"accountName": "Dreict Acc 2",
"externalAccountId": "789012",
"skuId": "MTSP-STREXP-TB",
"consumedQuantity": 0.54912,
"entitledQuantity": 0.1,
"overageQuantity": 0.44912,
"billableQuantity": 0,
"unitPrice": 35.874,
"cost": 0,
"unit": "TB",
"currency": "AUD"
}
],
"metadata": {
"filter": "usageMonth=2024-12-01&subMspId=none",
"sort": "asc:subMspName,asc:accountName,asc:skuId",
"pagination": {
"pageNumber": 0,
"pageSize": 100,
"totalRecords": 3
}
}
}
Get usage for single Sub MSP accounts in current month
{
"data": [
{
"usageMonth": "2024-12-01",
"subMspId": "8E931553-307E-45C4-98C1-BAC34ED5A357",
"subMspName": "Sub MSP 2",
"accountId": "A72353B5-B17F-46D5-9A37-82F4EF8EF140",
"accountName": "Sub MSP 2 Acc 1",
"externalAccountId": "210987",
"skuId": "MTSP-EP-USR",
"consumedQuantity": 150,
"entitledQuantity": 0,
"overageQuantity": 0,
"billableQuantity": 150,
"unitPrice": 5,
"cost": 750,
"unit": "user",
"unitQuantity": 1,
"currency": "AUD"
}
],
"metadata": {
"filter": "usageMonth=2024-12-01&subMspId=8E931553-307E-45C4-98C1-BAC34ED5A357",
"sort": "asc:subMspName,asc:accountName,asc:skuId",
"pagination": {
"pageNumber": 0,
"pageSize": 100,
"totalRecords": 1
}
}
}
Unauthorized
Forbidden
Internal Server Error